Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/item-transfers

Prev Next
Get
/public/v1/item-transfers

Retrieves all item transfers

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Query parameters
modifiedOnStart
string($date-time)

Starting datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnEnd'

modifiedOnEnd
string($date-time)

Ending datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnStart'

transferDateStart
string($date)

Starting date of 'transferDate' range; must be accompanied by 'transferDateEnd'

transferDateEnd
string($date)

Ending date of 'transferDate' range; must be accompanied by 'transferDateStart'

locationIds
string($uuid)

Identifier of the location to filter by

status
string

The item transfer status, one of 'In Progress', 'Completed', 'Approved', 'Pending', or 'Rejected'

pageSize
integer($int32)

Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response

continuationToken
string
Responses
200

list of item transfer entities

Expand All
object

A response containing item transfers.

items
Array of object (R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferPublicDto) | null

Collection of public item transfers records returned in this page.

object

Item Transfer

id
integer (int64)

The unique identifier for the Item Transfer.

number
string | null

The Item Transfer Number.

template
object (R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferTemplateReferencePublicDto)

A reference to an Item Transfer Template.

id
integer (int64)

Unique identifier of the item transfer template.

name
string | null

Display name of the item transfer template.

date
string (date)

Item Transfer Date.

fromLocation
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

toLocation
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

totalAmount
number (double)

Total Amount.

lastComment
string | null

Last Comment.

details
Array of object (R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferDetailPublicDto) | null

List of Item Transfer Details.

object

Item Transfer Detail

id
integer (int64)

The unique identifier for the Item Transfer detail.

item
object (R365.Inventory.Shared.Contracts.Items.ItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the item.

name
string | null

Display name of the item.

number
string | null

Number assigned to the item.

itemType
integer (int32)

The types for an item.

Valid values[ 1, 2 ]
unitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

quantity
number (double)

Quantity.

eachAmount
number (double)

Each Amount.

totalAmount
number (double)

Total Amount.

comment
string | null

Comment.

status
string | null

Item Transfer status.

transactionId
string (uuid)

The transaction id for the item transfer.

completedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

completedOn
string (date-time) | null

The date and time the item transfer was completed.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time)

The date and time the item transfer was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The date and time the item transfer was last modified.

approvedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

approvedOn
string (date-time) | null

The date and time the item transfer was approved.

nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.

Expand All
object

A response containing item transfers.

items
Array of object (R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferPublicDto) | null

Collection of public item transfers records returned in this page.

object

Item Transfer

id
integer (int64)

The unique identifier for the Item Transfer.

number
string | null

The Item Transfer Number.

template
object (R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferTemplateReferencePublicDto)

A reference to an Item Transfer Template.

id
integer (int64)

Unique identifier of the item transfer template.

name
string | null

Display name of the item transfer template.

date
string (date)

Item Transfer Date.

fromLocation
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

toLocation
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

totalAmount
number (double)

Total Amount.

lastComment
string | null

Last Comment.

details
Array of object (R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferDetailPublicDto) | null

List of Item Transfer Details.

object

Item Transfer Detail

id
integer (int64)

The unique identifier for the Item Transfer detail.

item
object (R365.Inventory.Shared.Contracts.Items.ItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the item.

name
string | null

Display name of the item.

number
string | null

Number assigned to the item.

itemType
integer (int32)

The types for an item.

Valid values[ 1, 2 ]
unitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

quantity
number (double)

Quantity.

eachAmount
number (double)

Each Amount.

totalAmount
number (double)

Total Amount.

comment
string | null

Comment.

status
string | null

Item Transfer status.

transactionId
string (uuid)

The transaction id for the item transfer.

completedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

completedOn
string (date-time) | null

The date and time the item transfer was completed.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time)

The date and time the item transfer was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The date and time the item transfer was last modified.

approvedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

approvedOn
string (date-time) | null

The date and time the item transfer was approved.

nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.

Expand All
object

A response containing item transfers.

items
Array of object (R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferPublicDto) | null

Collection of public item transfers records returned in this page.

object

Item Transfer

id
integer (int64)

The unique identifier for the Item Transfer.

number
string | null

The Item Transfer Number.

template
object (R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferTemplateReferencePublicDto)

A reference to an Item Transfer Template.

id
integer (int64)

Unique identifier of the item transfer template.

name
string | null

Display name of the item transfer template.

date
string (date)

Item Transfer Date.

fromLocation
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

toLocation
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

totalAmount
number (double)

Total Amount.

lastComment
string | null

Last Comment.

details
Array of object (R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferDetailPublicDto) | null

List of Item Transfer Details.

object

Item Transfer Detail

id
integer (int64)

The unique identifier for the Item Transfer detail.

item
object (R365.Inventory.Shared.Contracts.Items.ItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the item.

name
string | null

Display name of the item.

number
string | null

Number assigned to the item.

itemType
integer (int32)

The types for an item.

Valid values[ 1, 2 ]
unitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

quantity
number (double)

Quantity.

eachAmount
number (double)

Each Amount.

totalAmount
number (double)

Total Amount.

comment
string | null

Comment.

status
string | null

Item Transfer status.

transactionId
string (uuid)

The transaction id for the item transfer.

completedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

completedOn
string (date-time) | null

The date and time the item transfer was completed.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time)

The date and time the item transfer was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The date and time the item transfer was last modified.

approvedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

approvedOn
string (date-time) | null

The date and time the item transfer was approved.

nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.

403

Forbidden

object
type
string | null
title
string | null
status
integer (int32) | null

Current status of the problem details.

detail
string | null
instance
string | null
422

Unprocessable Content

Expand All
object
errorCode
string | null
innerError
object (R365.Inventory.Public.Models.R365Error)
errorCode
string | null
innerError
object (R365.Inventory.Public.Models.R365Error) Recursive